%define anolis_release 1

%global _description %{expand:
Goals:
- Convert UNIX timestamps to and from RFC3339.
- Either produce RFC3339 strings with a UTC offset (Z) or with the offset that
  the C time module reports is the local timezone offset.
- Simple with minimal dependencies/libraries.
- Avoid timezones as much as possible.
- Be very strict and follow RFC3339.}

Name:           python-strict-rfc3339
Version:        0.7
Release:        %{anolis_release}%{?dist}
Summary:        Strict, simple, lightweight RFC3339 functions

License:        GPL-3.0-only
URL:            https://github.com/danielrichman/strict-rfc3339
Source:         %{pypi_source strict-rfc3339}
BuildArch:      noarch

BuildRequires:  python3-devel


%description %{_description}


%package -n     python3-strict-rfc3339
Summary:        %{summary}


%description -n python3-strict-rfc3339 %{_description}


%prep
%autosetup -n strict-rfc3339-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files strict_rfc3339


%check
%pyproject_check_import


%files -n python3-strict-rfc3339 -f %{pyproject_files}


%changelog
* Tue May 09 2023 Funda Wang <fundawang@yeah.net> - 0.7-1
- Import package for anolis 23
